#!/usr/bin/env python

# Prints the amount of tiles present of some tile types
# Author: Patiga
# License: AGPL-3.0-only


import twmap
import sys
import numpy as np

map = twmap.Map(sys.argv[1])

tiles = {
    1: "Hookable",
    3: "Unhookable",
    2: "Kill",
    9: "Freeze",
}


def count(ID):
    count = np.sum(map.game_layer().tiles[:,:,0] == ID)
    if map.front_layer() is not None:
        count += np.sum(map.front_layer().tiles[:,:,0] == ID)
    return count

for tile_id, name in tiles.items():
    print(f"{count(tile_id)} {name} tiles")

